---
# https://dwheeler.com/flawfinder/
variables:
  PYVERSION: "latest"

python:flawfinder:
  stage: test
  image: registry.gitlab.com/notno/ci/images/python:$PYVERSION
  variables:
    ERROR_LEVEL: "3"
    MIN_LEVEL: "1"
    DEFAULT_ARGS: "--falsepositive --immediate --context"
    EXTRA_ARGS: ""
    CHECK_PATH: "."  # Can be a file
  script:
    - pip3 install flawfinder
    - flawfinder ${DEFAULT_ARGS} ${EXTRA_ARGS} --minlevel ${MIN_LEVEL} --error-level=${ERROR_LEVEL} ${CHECK_PATH}
